%global momorel 8
%global emacsver 22.3
%global xemacsver 21.5.28
%global e_sitedir  %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir   %{_datadir}/xemacs/site-packages

%global origname yaml-mode

Summary: A Simple mode for editing files in the YAML data serialization format.
Name: elisp-%{origname}
Version: 0.0.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
Source: %{origname}-%{version}.tar.gz
URL: http://yaml-mode.clouder.jp/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
A Simple mode for editing files in the YAML data serialization format.

%package -n %{origname}-emacs
Group: Applications/Editors
Summary: YAML mode for Emacs
Requires: emacs >= %{emacsver}

%description -n %{origname}-emacs
A Simple mode for editing files in the YAML data serialization format.

%package -n %{origname}-xemacs
Group: Applications/Editors
Summary: YAML mode for XEmacs
Requires: xemacs >= %{xemacsver}

%description -n %{origname}-xemacs
A Simple mode for editing files in the YAML data serialization format.

%prep
%setup -q -n %{origname}-%{version}

%build
emacs -q -no-site-file -batch -f batch-byte-compile %{origname}.el
%__mv %{origname}.elc %{origname}.elc.emacs
xemacs -q -no-site-file -batch -f batch-byte-compile %{origname}.el
%__mv %{origname}.elc %{origname}.elc.xemacs

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{e_sitedir}/%{origname}
%__install -m 644 %{origname}.el %{buildroot}%{e_sitedir}/%{origname}
%__install -m 644 %{origname}.elc.emacs %{buildroot}%{e_sitedir}/%{origname}/%{origname}.elc
%__mkdir_p %{buildroot}%{sitepdir}/lisp/%{origname}
%__install -m 644 %{origname}.el %{buildroot}%{sitepdir}/lisp/%{origname}
%__install -m 644 %{origname}.elc.xemacs %{buildroot}%{sitepdir}/lisp/%{origname}/%{origname}.elc

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README

%files -n %{origname}-emacs
%defattr(-, root, root)
%{e_sitedir}/%{origname}

%files -n %{origname}-xemacs
%defattr(-, root, root)
%{sitepdir}/lisp/%{origname}

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.3-8m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.3-7m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.3-6m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.3-5m)
- rebuild against gcc43

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.3-4m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.3-3m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.3-2m)
- rebuild against emacs-22.0.96

* Sun Mar 11 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.3-1m)
- update to 0.0.3

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-7m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-6m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.2-2m)
- rebuild against emacs-22.0.90

* Mon Oct  2 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.2-1m)
- initial package
